[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# CompareValue

Compare 2 values

## Declaration

Source position: line 0

`function CompareValue(`
`const A: Integer;`
`const B: Integer`
`):TValueRelationship; function CompareValue(`
`const A: Int64;`
`const B: Int64`
`):TValueRelationship; function CompareValue(`
`const A: QWord;`
`const B: QWord`
`):TValueRelationship; function CompareValue(`
`const A: Extended;`
`const B: Extended;`
`delta: Extended = 0.0`
`):TValueRelationship;`

## Description

CompareValue compares 2 integer or floating point values A and B and returns one of the following values:

-1
  if A<B
0
  if A=B
1
  if A>B

## See also

TValueRelationship |  | Type to describe relational order between values

Documentation generated on: Feb 26 2014